1

I am running Ubuntu 14.04. When I import pyrosetta from python terminal by typing

>>> import pyrosetta; pyrosetta.init()

It shows an error massage as shown below:

Traceback (most recent call last): File "", line 1, in File "/usr/local/lib/python2.7/dist-packages/pyrosetta-2018.02_release.d2f80a3-py2.7-linux-x86_64.egg/pyrosetta/__init__.py", line 15, in import pyrosetta.rosetta as rosetta ImportError: /usr/local/lib/python2.7/dist-packages/pyrosetta-2018.02_release.d2f80a3-py2.7-linux-x86_64.egg/pyrosetta/rosetta.so: symbol _ZTINSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference

I have gcc version 4.8.5.

Can anyone please tell me what is the meaning of this error & how to solve it?

  • It seemed that you installed pyrosetta manually, and that the version you installed is not compatible with Ubuntu 14.04. You need to find a compatible version. – fkraiem Jan 25 '18 at 10:55
  • I installed the lower version, pyrosetta3. still it shows the same error. – Prithviraj Uttarasili Jan 25 '18 at 12:04

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.